Class Fox::FXOptionMenu

In: | FXOptionMenu.rb
Parent: | FXLabel

Option Menu

### Events

The following messages are sent by FXOptionMenu to its target:

`SEL_KEYPRESS`: | sent when a key goes down; the message data is an FXEvent instance.
`SEL_KEYRELEASE`: | sent when a key goes up; the message data is an FXEvent instance.
`SEL_LEFTBUTTONPRESS`: | sent when the left mouse button goes down; the message data is an FXEvent instance.
`SEL_LEFTBUTTONRELEASE`: | sent when the left mouse button goes up; the message data is an FXEvent instance.

Methods

new popped?

Attributes

current | [RW] | The current option, or `nil` if none [FXOption]
currentNo | [RW] | The current option number, or -1 if none [Integer]
popup | [RW] | The pane which will be popped up [FXPopup]

Public Class methods

new(p, pup=nil, opts=JUSTIFY_NORMAL|ICON_BEFORE_TEXT, x=0, y=0, w=0, h=0, pl=DEFAULT_PAD, pr=DEFAULT_PAD, pt=DEFAULT_PAD, pb=DEFAULT_PAD) {|theOptionMenu| ...}

Returns an initialized FXOptionMenu instance.

Public Instance methods

popped?()

Return `true` if popped up